/* 
   Create_dBASE_Manifest.prg
   Rich www.autotraker.com

   version 3.6 - Removed code that created a manifest file for the app.exe
   in the runtime, so it now only creates a manifest file for plusrun.exe.
   Added RemoveManifestFile()  -- Bruce Beacham

	version 3.5 - Cleaned up some nasty looking code. No change in functionality
	Put the actual file creation in its own function
   Placed the file creation in a try catch in case we can't write to this folder

   version 3 - corrected a problem where "assemblyIdentity" and description 
   were being updated wrong. We also were not checking for the runtime manifest
   file existing and only updating if it didn't exist.
   Changed "new file().exists(fName)" to "new array().dir(fName)>0" since there
   appears to be a bug in the file class handling of files with 2 periods in them

	version 2 - added "assemblyIdentity" section and changed the description
	to make the file more EXE dependant.

   Problems:
   Checkboxes loose their ability to be transparent (if you set tranparent
   to true, the checkboxes turn black). I'm sure there are other controls
   that will behave poorly.
   Another item is checkboxes go black if you have their visible property
   set to true and other controls will not use the windows theme colors
   unless you use default Windows-named colors such as 
   "BtnText/BtnFace" for your buttons or those shown in the OH under
   the topic of "colorNormal".

	This program will create manifest files to add XP themes/visual styles
   to controls in your dBase program.

	To enable XP theme support in your application you have to write very 
   little code. The main task is to create a manifest file and associate
   it with your application. At this point controls that support XP 
   Themes will appear "themed" in your application. 

   EXE's can be modified in a resource editor to have the manifest file
   directly in the EXE, but we have chosen here to just create the file
   in the same directory as the EXE so we can delete it easily if needed.
   Also I'm not too crazy about modifing the EXE for either the IDE or 
   runtime because we don't have to modify them again if we upgrade our
   dBase or re-compile our programs EXE. 

   I suggest running this program directly from your startup program. It
   will just return if the manifest files already exist or prompt you for
   a restart if we needed to create them.

	This has only been tested in Windows XP. If you would like to restrict
   usage to only the XP OS, uncomment the first three lines of code.

	As always, this code is provided as is. 
*/

//if not ("NT"$os() and "5.01"$os()) // Windows XP
//	return
//endif

if type("_app.EXEName")=="U"
   // your version doesn't support this property
   return false
endif

changesMade = false

// If we are in the IDE, this will make the manifest file
// for the PLUS or dB2k exe.
// In runtime, it will make a manifest file 
// for the runtime plusrun.exe

if "runtime" $ lower(version(0))
   if new file().exists(home()+"PLUSrun.exe")
      fName = home()+"PLUSrun.exe.manifest"
      EXEName = "PLUSrun.exe"
   elseif new file().exists(home()+"DB2KRUN.EXE")
      fName = home()+"DB2KRUN.EXE.manifest"
      EXEName = "DB2KRUN.EXE"
   else
      // don't know what we are running
      // so leave fName empty
      fName = ""
   endif
   if not empty(fName)
      changesMade = createManifest(fName,EXEName)
   endif
else
   fName = _app.EXEName + ".manifest"
   EXEName = substr(_app.EXEName,rat("\",_app.EXEName)+1)
   changesMade = createManifest(fName,EXEName)
endif

// if we create new manifest files, confirm a restart
if changesMade
   if msgbox("Changes have been made to our configuration"+chr(13)+;
         "Do you want to restart the application now"+chr(13)+;
         "so the changes can take effect?","Confirm?",36)=6
      run(true,_app.EXEName)
      quit
      return true
   endif
else
	? "Create_dBASE_Manifest: Didn't need to make any changes."
endif
return changesMade

function createManifest
   parameters fName,EXEName
   changesMade = false
   // using an array to check to see if file exists since there is a
   // problem with double periods in file names
   if not new array().dir(fName)>0
      // Build array for the manifest using the EXE name where needed
      local a      
      a = new array()
      a.add([<?xml version="1.0" encoding="UTF-8" standalone="yes"?>])
      a.add([<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">])
      a.add([<assemblyIdentity])
      a.add([    version="1.0.0.0"])
      a.add([    processorArchitecture="X86"])
      a.add([    name="] + EXEName + ["] )
      a.add([    type="win32"])
      a.add([/>])
      a.add([<description>] + EXEName + [ Manifest</description>] )
      a.add([<dependency>])
      a.add([        <dependentAssembly>])
      a.add([                <assemblyIdentity])
      a.add([                        type="win32"])
      a.add([                        name="Microsoft.Windows.Common-Controls"])
      a.add([                        version="6.0.0.0"])
      a.add([                        processorArchitecture="X86"])
      a.add([                        publicKeyToken="6595b64144ccf1df"])
      a.add([                        language="*"])
      a.add([                />])
      a.add([        </dependentAssembly>])
      a.add([</dependency>])
      a.add([</assembly>])
      try
         // create the file
         local f,i
         f = new file()
         f.create(fName,"A")
         for i = 1 to a.size
            f.puts(a[i])
         endfor
         f.close()
         changesMade = true
      catch(exception e)
      endtry
   endif
   return changesMade




function RemoveManifestFile

local a, s, fl, changesMade
a = new array()
a.dir(home() + "*.*")
fl = new file()
changesMade = false
for s = 1 to alen(a, 1)
   if empty(a[s, 1])
      // Probably an empty array for some reason.
      exit
   endif
   if lower(right(a[s, 1], 9)) = ".manifest"
      newname = home() + a[s, 1] + ".old"
      if fl.exists(newname)
         fl.delete(newname)
      endif
      // Don't remove the file, just rename it.
      fl.rename ((home() + a[s, 1]), (newname))
      changesMade = true
      exit
   endif
endfor
if changesMade
   if msgbox("Changes have been made to our configuration"+chr(13)+;
      "Do you want to restart the application now"+chr(13)+;
      "so the changes can take effect?    ",;
      "RemoveManifestFile",32+4)=6
      run(true,_app.EXEName)
      quit
      return true
   endif
else
   msgbox("No manifest file found, to be removed.   ", ;
      "RemoveManifestFile", 64)
endif

return changesMade 

