/*
    -----------------------------------------------------------
    custbuttCatalan.h
    February 11, 1999
    Ken Mayer
    Catalan Translation of "custButtEnglish.h" 
       by Jos Luis Prez Diez ...

     *** Note: you should copy this file to your
     ..\Visual dBASE\INCLUDE directory for it to
     be used properly by all of your applications.

    This is an 'include' file with the speedTips and
    message box text for each of the buttons in CUSTBUTT.CC.
    The idea is that by defining them here, someone using
    another language can copy this file and translate the
    text in the .H file, and the only change necessary in
    CUSTBUTT.CC is the #INCLUDE statement to include
    the correct file.

    When translating, make sure you do NOT change the names
    of the constants ...

    *****************
    November 11, 2000
    *****************
    NOTE: If you update your application to use the 
    CUSTBUTT.CC file from dUFLP version 2KC (DUFLP2KC.EXE),
    then you MUST update your .H file -- this is a fix based
    on a discovery that EMPTYTABLE and FILTER strings could
    cause problem in code that used the database object
    emptyTable method, or the rowset object's filter property.
    These strings are defined as EMPTYTABLETEXT and FILTERTEXT
    now, and will not cause a conflict.

    Suggestion by Francesco Navarria, in Italy ...
    **********************************************************
    *** WARNING: If you are not using an ANSI language driver
    *** for your tables (at the Command window: ? LDRIVER()
    *** it should be obvkous) or have the setting:
    ***  LDRIVER=WINDOWS in your VDB.INI file (under the
    *** [CommandSettings] heading) do NOT attempt save
    *** this file ... you can wipe out the upper ANSI characters
    *** used. 
    **********************************************************
    -----------------------------------------------------------
*/

// ----------------------------------------------------------
// navigation buttons:
                                //"First row in rowset"
#define TOPTIP                  "Primera fila"
                                //"Previous row in rowset"
#define PREVTIP                 "Fila prvia"
                                 //"Next row in rowset"
#define NEXTTIP                 "Fila segent"
                                //"Last row in rowset"
#define ENDTIP                  "Ultima fila"

// ----------------------------------------------------------
// editing buttons:
                                //"Add new row"
#define ADDTIP                  "Afegir una fila nova"
                                //"Copy data to a new Row"
#define CARRYTIP                "Copiar dades a fila nova"
                                //"Edit current row"
#define EDITTIP                 "Editar la fila actual"
                                //"Save current row"
#define SAVETIP                 "Desar la fila actual"
                                //"Delete current row"
#define DELETETIP               "Esborra la fila actual"
                                //"Abandon changes to row"
#define ABANDONTIP              "Descartar canvis en la fila actual"
// ----------------------------------------------------------
// filter/locate buttons:
                                //"Filter/Run/Clear Filter"
#define FILTERTIP               "Filtra/Activa/Desactiva el filtro"
                                //"Locate/Run/Clear Locate"
#define LOCATETIP               "Localitzar/Activa/Desactiva Localitzar"

// ----------------------------------------------------------
// clipboard buttons:
                                //"Cut selected text"
#define CUTTIP                  "Tallar la selecci"
                                //"Copy selected text"
#define COPYTIP                 "Copiar la selecci"
                                //"Paste from clipboard"
#define PASTETTIP               "Enganxar del portapapers"

// ----------------------------------------------------------
// misc. buttons:
                                //"Close this form"
#define CLOSETIP                "Tancar"
                                //"Yes"
#define YESTIP                  "Si"
                                //"No"
#define NOTIP                   "No"
                                //"Cancel"
#define CANCELTIP               "Cancella"
                                //"Question? Help?"
#define QUESTIONTIP             "Pregunta?, Ajuda?"
                                //"Run"
#define RUNTIP                  "Efectua"
                                //"Information"
#define INFOTIP                 "Informaci"
                                //"Restore from disk"
#define RESTOREFROMDISKTIP      "Recupera del disc"
                                //"Save to disk"
#define SAVETODISKTIP           "Desar en disc"
                                //"Open file ..."
#define OPENFILETIP             "Obrir Fitxer ..."
                                //"Tool Button"
#define TOOLBUTTONTIP           "Buto de eines"
                                //"Print"
#define PRINTTIP                "imprimeix"
                                //"Search"
#define SEARCHTIP               "Cerca"
                                //"Continue search"
#define SEARCHAGAINTIP          "Continuar la cerca"
                                //"Replace"
#define REPLACETIP              "Canviar"
                               //"Exit"
#define EXITTIP                 "Sortir"
                                //"First Page"
#define FIRSTPAGETIP            "Primera Pagina"
                                //"Next Page"
#define NEXTPAGETIP             "Segent Pagina"
                                //"Previous Page"
#define PREVIOUSPAGETIP         "Pagina Anterior"
                                //"The Light Goes Off"
#define LIGHTBULBTIP            "Se Apaga el Llum"


// ----------------------------------------------------------
// strings used in dialog boxes in CUSTBUTT.CC
// ----------------------------------------------------------

// This one appears as the title for various dialogs
                                //"Can't do it!"
#define CANTDOIT                "No puc fer-ho!"

// ----------------------------------------------------------
// One of these appears anytime we check to see if the rowset
// is null, and is the text in the messagebox
                                //"Cannot Navigate with no rowset!"
#define NAVNOROWSET             "Sense rowset no es pot navegar!"
                                //"Cannot add rows with no rowset!"
#define ADDNOROWSET             "Sense rowset no hi ha on afegir"
                                //"Cannot copy rows on a form without a rowset!"
#define COPYNOROWSET            "Sense rowset no hi ha files per copiar!"
                                //"Cannot update rows on a form without a rowset!"
#define EDITNOROWSET            "Sense rowset no hi ha  files a actualitzar!"
                                //"Cannot save changes to rows on a form without a rowset!"
#define SAVENOROWSET            "Sense rowset no hi ha files per desar els canvis!"
                                //"Cannot save delete rows on a form without a rowset!"
#define DELETENOROWSET          "Sense rowset no hi ha files per Esborra!"
                                //"Cannot abandon changes to rows on a form without a rowset!"
#define ABANDONNOROWSET         "Sense rowset no hi ha files amb canvis que abandonar!"
                                //"Cannot filter an empty or missing rowset!"
#define FILTERNOROWSET          "No es pot filtrar un rowset buit o nul!"
                                //"Cannot perform a locate with no rowset!"
#define LOCATENOROWSET          "Sense rowset no hi ha on localitzar!"

// ----------------------------------------------------------
// this is the title and message when the user attempts
// to navigate or close a form and the data has
// changed ...
                                //"Data has changed"
#define DATACHANGED             "Les dades han canviat"
                                //"Save changes before leaving record?"
#define SAVECHANGES             "Desar els canvis abans de sortir del registro?"

// ----------------------------------------------------------
// Title when user can't navigate:
                                //"Can't Navigate!"
#define CANTNAVIGATE            "No es pot Navegar!"

// ----------------------------------------------------------
// Other messages ...
                                //"You are in filter mode"
#define INFILTERMODE            "Mode filtre"
                                //"You are in locate mode"
#define INLOCATEMODE            "Mode Localitzar"
                                //"At first row in rowset"
#define ATFIRSTROW              "Primera fila del rowset"
                                //"At last row in rowset"
#define ATLASTROW               "Ultima fila del rowset"
                                //"Row is copied -- you are in append mode. Make changes and save or abandon new row."
#define ROWISCOPIED             "Fila copiada - Ests afegint. Fes Canvis i desa o abandona la nova fila."
                                //"Cannot Save edits/new row when you weren't editing/adding"
#define NOTEDITING              "No es pot desar els canvis si no ets editant o afegint"

#define ROWLOCKED               "Row is being edited by another. Try again later."
                                //"Key Violation - That Key already exists."
#define KEYVIOLATION            "Error en la clau - la Clau existeix."
                                //"Unknown error -- "
#define UNKNOWNERROR            "Error desconegut-- "
                                //"You are about to delete the current row." + CHR(13) + "Click Yes to delete the current row."
#define DELETEYESNO             "Se Esborrar la fila actual." + CHR(13) + "Premeu Si para esborrar."
                                //"Nothing to delete!"
#define NOTHINGTODELETE         "No hi ha res per esborrar!"
                                //"Abandoning the row will cancel the filter!"
#define ABANDONWILLCANCELFILTER "Si abandones la fila cancellars el filtro!"
                                //"Abandoning the row will cancel the locate!"
#define ABANDONWILLCANCELLOCATE "Si abandones la fila cancellars la Localitzaci!"
                                //"Cannot Abandon edits/new row when you weren't editing/adding!"
#define NOTHINGTOABANDON        "No es pot abandonar els canvis, a no ser editant o afegint!"
                                //"No Match"
#define NOMATCH                 "No hi ha coincidncies"
                                //"Exit from filter mode!"
#define EXITFROMFILTER          "Sortir del filtre!"
                                //"No more matches!"
#define NOMOREMATCHES           "No hi ha  mes coincidncies!"
                                //"Can't search in memo field!"
#define CANTSEARCHINMEMO        "No es pot fer la cerca al camp memo!"
                                //"Can't filter on a memo field!"
#define CANTFILTERINMEMO        "No se pot filtrar pel camp memo!"

// ------------------------------------------------------------
// Misc Titles
                                //"Can't Add a new row!"
#define CANTADDROW              "No es pot afegir una fila!"
                                //"Can't Copy row!"
#define CANTCOPYROW             "No est pot copiar la fila!"
                                //"Copy complete"
#define COPYCOMPLETE            "Copia completa"
                                //"Can't Edit row!"
#define CANTEDITROW             "No es pot editar la fila!"
                                //"Can't Save row!"
#define CANTSAVEROW             "No es pot desar la fila!"
                                //"No changes to save!"
#define NOCHANGES               "No hi ha canvis que desar!"
                                //"Can't Delete row!"
#define CANTDELETEROW           "No es pot Esborrar la fila!"
                                //"Alert"
#define ALERT                   "Alerta"
                                //"Empty table"
#define EMPTYTABLETEXT          "Taula buida"
                                //"Cancel Filter?"
#define CANCELFILTER            "Cancellar el Filtro?"
                                //"Cancel Locate?"
#define CANCELLOCATE            "Cancellar el Encontrar?"
                                //"Can't abandon row!"
#define CANTABANDONROW          "No es pot abandonar la fila!"
                                //"Can't set a filter!"
#define CANTSETFILTER           "No es pot posar un filtre!"
                                //"Filter"
#define FILTERTEXT                  "Filtre"
                                //"Can't start a search!"
#define CANTSEARCH              "No es pot comenar la cerca!"
                                //"Search"
#define SEARCH                  "Cerca"

// -----------------------------------------------------------
// kmRowState -- states:
//"Closed"
#define STATECLOSED             "Tancada"
                                //"View" // or "Browse"
#define STATEVIEW               "Vista" // or "Browse"
                                //"Edit"
#define STATEEDIT               "Editant"
                                //"Append"
#define STATEAPPEND             "Afegint"
                                //"Filter"
#define STATEFILTER             "Filtrant"
                                //"Locate"
#define STATELOCATE             "Localitzant"

// -----------------------------------------------------------
// End of header file: custButtCatala.h
// -----------------------------------------------------------

