class mouse_spinbox(parentObj) of spinBox(parentObj) custom
 
   /*
 
   Filename:   mouse_spinbox.cc
 
   Date:       2016-02-16
 
   Author:     Mervyn Bick
 
   
 
   Description:
 
      A custom spinbox that detects rotation of the mouse-wheel when the cursor
		is on the control and increments or decrements the value accordinly.  
		The pushbuttons on the spinbox work	normally.

      This custom control will only work with dBASE Plus 8 and later as the 
      CALLBACK feature in not avaiable in earlier versions of dBASE.

   Revision:  2016-07-07
   
      Closing the control caused dBASE 10 to crash.  
      Martin (Marty) Kay's revision which reinstates the original Windows
      procedure for the spinbox before executing the RELEASE command has
      corrected this.

   */
 
   with (this)
      onOpen = CLASS::onOpen
      onClose = CLASS::onClose
      onMouseOver= CLASS::onMouseOver
      onMouseOut = CLASS::onMouseOut
   endwith
 
   function onOpen()
      #include winuser.h
		#define WM_MOUSEWHEEL  0x020A //not in winuser.h
		
      if type("GetWindowLongA") # "FP"
         extern CLONG GetWindowLongA(CHANDLE, CINT) user32
      endif
      if type("SetWindowLongA") # "FP"
         extern CLONG SetWindowLongA(CHANDLE, CINT, CLONG) user32
      endif
      if type("CallWindowProcA") # "FP"
         extern CLONG CallWindowProcA(CPTR, CHANDLE, CUINT, CUINT, CUINT) user32 
      endif
      return

   function onClose
    ****** Revised code by Martin (Marty) Kay to prevent crash in dBASE 10
      if type("this.oldproc") = "FP"
         if this.oldproc <> null and not empty(this.oldproc)
         // must restore original window procedure for spinbox
         SetWindowLongA(this.hwnd, GWL_WNDPROC, this.oldproc)       
         RELEASE CALLBACK wndproc OBJECT this
         endif            
      endif
      return


 
   function onMouseOver
	   if type("this.oldproc") = 'U'
			this.oldproc = GetWindowLongA(this.hwnd, GWL_WNDPROC)
			CALLBACK CLONG wndproc(CHANDLE, CUINT, CUINT, CUINT) OBJECT this
			this.newproc = GetCallAddress(class::wndproc)
			SetWindowLongA(this.hwnd, GWL_WNDPROC, this.newproc)
		endif
		this.over = true
		this.setFocus()
      return

   function onMouseOut
	   this.over =false
      return
		

   function wndproc(hwnd,umsg,wparam,lparam)
	    if uMsg = WM_MOUSEWHEEL and this.over = true
			if bitset(wparam,31) //wheel rotated backwards
            this.value --
         else
            this.value ++
         endif				
	    endif
       return CallWindowProcA(this.oldproc, hwnd, uMsg, wParam, lParam)


 
endclass 